// components/userInfo/userInfo.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {
    detail: Object,
    type: String
  },

  /**
   * 组件的初始数据
   */
  data: {

  },
  ready(){
    // console.log(1212, this.data)
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /** 用户信息跳转 **/
    userFn(e){
      // console.log('用户信息跳转', e)
      wx.navigateTo({
        url: '/home/pages/ownerForm/ownerForm?projectId=' + this.data.detail.entry_id + '&type='+this.data.type,
      })
    },
    /** 拨打业主联系电话 **/
    phoneFn(e) {
      const phone = e.currentTarget.dataset.phone;
      if (!phone) {
        wx.showToast({
          title: '暂无联系方式',
          icon: 'none'
        })
        return
      }
      wx.makePhoneCall({
        phoneNumber: phone,
      })
    },
    //审批记录
    goRecord(e){
      wx.navigateTo({
        url: '/pages/appRecord/appRecord?entryId=' + this.data.detail.id + '&type='+this.data.type,
      })
    }

  }
})